#pragma once

//=====================================================================================//
//                                    class Bitmap                                     //
//=====================================================================================//
class Bitmap
{
public:

	typedef std::vector<char> data_t;

private:

	unsigned int m_height;
	unsigned int m_width;
	unsigned int m_bpp;
	data_t m_data;

public:
	Bitmap(const std::string& file_name);
	~Bitmap();
public:
	///	get bit per pixel
	unsigned int getBitPerPixel() const;
	///	get height in pixels
	unsigned int getHeight() const;
	///	get width in pixels
	unsigned int getWidth() const;
	///	get image data
	const data_t& data() const;

};

